Download an Entity

Last update: September 10, 2026
•
1 min to read

To download one or more entities in a single entity type.

Note: No multi entity support.

HTTP Method

GET

Endpoint

/api/v2/download/{EntityName}/download

Request URL

{Base URL}/api/v2/download/{EntityName}/download?ids=1,2

Sample URL

https://hubstreamproduction.hubstreamonline.com/api/v2/download/Investigation/download?ids=1,2

Parameters

Param NameData TypeDescription
EntityNameStringName of the entity type (for example, Investigation).
idsIntegerComma-separated list of entity IDs to download (for example, 1,2).

Missing or invalid credentials returns an error.

Curl Example

Multi-line format (for readability):

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X GET \
     "https://hubstreamproduction.hubstreamonline.com/api/v2/download/Investigation/download?ids=1,2"

Single-line format (for terminal use):

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X GET "https://hubstreamproduction.hubstreamonline.com/api/v2/download/Investigation/download?ids=1,2"

Sample Responses

Status code 2XX indicates a successful request and response.

200 OK

Response: The specified entities are returned as a ZIP file download.

The downloaded ZIP file includes:

  • Entity details in PDF format.
  • Entity data along with related entity details in XML format.
  • Related documents stored in a Documents folder.